diff --git a/scripts/clmc-agent/install.sh b/scripts/clmc-agent/install.sh
index 55d1b77b0c63ecc06ed046c5797f05765d043477..165521058a4990d82d22e2e23459e772dcec3f70 100755
--- a/scripts/clmc-agent/install.sh
+++ b/scripts/clmc-agent/install.sh
@@ -24,6 +24,9 @@
 #//
 #/////////////////////////////////////////////////////////////////////////
 
+# Force fail on command fail
+set -euo pipefail
+
 # Install telegraf
 if [ "$#" -ne 10 ]; then
     echo "Error: illegal number of arguments: "$#
diff --git a/scripts/clmc-service/install.sh b/scripts/clmc-service/install.sh
index f96d123a8e01ffae89e37c2654999ce496f8afe7..bf262be5034371268ebbb483f1cc8710fe581289 100755
--- a/scripts/clmc-service/install.sh
+++ b/scripts/clmc-service/install.sh
@@ -24,6 +24,10 @@
 #//
 #/////////////////////////////////////////////////////////////////////////
 
+# Force fail on command fail
+set -euo pipefail
+
+
 # install python for the simulator
 apt-get update
 apt-get -y install python
diff --git a/test/services/apache/telegraf_template.conf b/test/services/apache/telegraf_template.conf
index dbc14da1ff1d82c878d456ab6f83b8624519f058..dd614108a27146a226b508c8095c6ab1be6eb86d 100644
--- a/test/services/apache/telegraf_template.conf
+++ b/test/services/apache/telegraf_template.conf
@@ -2,7 +2,7 @@
   ## An array of URLs to gather from, must be directed at the machine
   ## readable version of the mod_status page including the auto query string.
   ## Default is "http://localhost/server-status?auto".
-  urls = ["http://localhost/server-status?auto"]
+  urls = ["http://localhost:8890/server-status?auto"]
 
   ## Credentials for basic HTTP authentication.
   # username = "myuser"